MPQC 2.3.1

- Main Page
- Related Pages
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Friends
sc::BlockedDiagSCMatrix Class Reference
Inheritance diagram for sc::BlockedDiagSCMatrix:

List of all members.

## Public Member Functions

| BlockedDiagSCMatrix (const RefSCDimension &, BlockedSCMatrixKit *)
void | save (StateOut &)
| Save and restore this in an implementation independent way.
void | restore (StateIn &)
double | get_element (int) const
| Return or modify an element.
void | set_element (int, double)
void | accumulate_element (int, double)
void | accumulate (const DiagSCMatrix *)
| Sum m into this.
double | invert_this ()
| Invert this.
double | determ_this ()
| Return the determinant of this. this is overwritten.
double | trace ()
| Return the trace.
void | gen_invert_this ()
| Do a generalized inversion of this.
void | element_op (const Ref< SCElementOp > &)
| Perform the element operation op on each element of this.
void | element_op (const Ref< SCElementOp2 > &, DiagSCMatrix *)
void | element_op (const Ref< SCElementOp3 > &, DiagSCMatrix *, DiagSCMatrix *)
void | vprint (const char *title=0, std::ostream &out=ExEnv::out0(), int=10) const
RefSCDimension | dim () const
| Return the dimension.
RefSCDimension | dim (int) const
int | nblocks () const
RefDiagSCMatrix | block (int)
Ref< SCMatrixSubblockIter > | local_blocks (SCMatrixSubblockIter::Access)
| Returns iterators for the local (rapidly accessible) blocks used in this matrix.
Ref< SCMatrixSubblockIter > | all_blocks (SCMatrixSubblockIter::Access)
| Returns iterators for the all blocks used in this matrix.

## Friends

class | BlockedSCMatrix
class | BlockedSymmSCMatrix
class | BlockedSCVector

## Member Function Documentation

Ref<SCMatrixSubblockIter> sc::BlockedDiagSCMatrix::local_blocks | ( | SCMatrixSubblockIter::Access |  | ) | `[virtual]`

Returns iterators for the local (rapidly accessible) blocks used in this matrix.

Implements sc::DiagSCMatrix.

The documentation for this class was generated from the following file:

- blocked.h